# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-offtrac
Version:        0.1.0
Release:        %mkrel 15
Summary:        Trac xmlrpc library

Group:          Development/Python
License:        GPLv2+
URL:            https://fedorahosted.org/offtrac
Source0:        https://pypi.python.org/packages/source/o/offtrac/offtrac-%{version}.tar.gz

BuildArch:      noarch

%description
There is the offtrac python library which offers the TracServer class. This
object is how one interacts with a Trac instance via xmlrpc.

%package -n python3-offtrac
Summary:        Trac xmlrpc library
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-offtrac}

%description -n python3-offtrac
There is the offtrac python library which offers the TracServer class. This
object is how one interacts with a Trac instance via xmlrpc.

%files -n python3-offtrac -f %{pyproject_files}
%doc COPYING LICENSE README
# For noarch packages: sitelib

#--------------------------------------------------------------------

%prep
%autosetup -n offtrac-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files offtrac



%changelog
* Wed Dec 13 2023 papoteur <papoteur> 0.1.0-15.mga10
+ Revision: 2017736
- rebuild for python 3.12

* Mon Mar 21 2022 umeabot <umeabot> 0.1.0-14.mga9
+ Revision: 1816349
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.1.0-13.mga9
+ Revision: 1783597
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.1.0-12.mga9
+ Revision: 1732345
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.0-11.mga8
+ Revision: 1535589
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.1.0-10.mga8
+ Revision: 1452478
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.1.0-9.mga7
+ Revision: 1353496
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-8.mga7
+ Revision: 1289492
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 kekepower <kekepower> 0.1.0-7.mga7
+ Revision: 1210928
- Renamed python-offtrac to python2-offtrac
- Added python3-offtrac package

* Fri Feb 05 2016 umeabot <umeabot> 0.1.0-6.mga6
+ Revision: 939388
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-5.mga5
+ Revision: 739627
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.0-4.mga5
+ Revision: 729212
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 688190
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Mar 31 2014 kharec <kharec> 0.1.0-1.mga5
+ Revision: 610764
- fix Source0, we now have a tarball
- version 0.1.0

* Tue Oct 22 2013 umeabot <umeabot> 0.0.3-4.mga4
+ Revision: 543847
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.0.3-3.mga4
+ Revision: 499002
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.0.3-2.mga3
+ Revision: 379200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 dmorgan <dmorgan> 0.0.3-1.mga2
+ Revision: 198888
- imported package python-offtrac


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Aug 12 2009 Jesse Keating <jkeating@redhat.com> - 0.0.3-1
- Declare classes in the correct way, to work on python-2.5

* Wed Aug 05 2009 Jesse Keating <jkeating@redhat.com> - 0.0.2-1
- Fix licensing issues

* Tue Aug 04 2009 Jesse Keating <jkeating@redhat.com> - 0.0.1-1
- Initial package

